import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-react-core/ES2015/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { DataContext } from "igniteui-react-core/ES2015/DataContext";
import { Size } from "igniteui-react-core/ES2015/Size";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class ItemToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    protected mt: ItemToolTipLayerView;
    protected get_cn(): boolean;
    mu: Series;
    mx: boolean;
    mw: boolean;
    protected ir(a: any, b: string, c: any, d: any): void;
    protected ma(a: Series, b: boolean): void;
    protected lx(a: Series): boolean;
    protected mc(a: Frame, b: SeriesView): void;
    private m2;
    private mv;
    private m3;
    private my;
    protected mf(a: Frame, b: SeriesView): void;
    protected c6(): boolean;
    static $$p: string[];
}
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ItemToolTipLayer);
    protected b1: ItemToolTipLayer;
    b2: Pool$1<any>;
    ap(): void;
    ag(): void;
    protected b4: List$1<PointerTooltip>;
    private b5;
    private b7;
    private b9;
    private b8;
    private _htmlTest;
    protected htmlTest: any;
    b3(a: Series, b: any, c: any, d: DataContext): boolean;
    cc(a: any, b: any, c: DataContext): Size;
    cb(a: any, b: number, c: number, d: number, e: number): void;
    ca(a: any): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
